Reviews
Get review and website records for a company.
View as MarkdownReturns a paginated list of review websites and URLs associated with the specified company.
Endpoint
GET /api/v1/companies/:company_id/reviewParameters
| Parameter | Type | In | Description |
|---|---|---|---|
company_id | integer | path | The unique identifier of the company. |
page | integer | body | Page number (default: 1). |
limit | integer | body | Records per page (default: 100). |
Code Examples
Get reviews
import requests
url = 'https://statsnet.co/api/v1/companies/12345/review'
headers = {
'Authorization': 'Bearer sk_live_YOUR_KEY',
'Content-Type': 'application/json'
}
response = requests.get(url, headers=headers).json()
print(response)Response
Success response
{
"websites": [
{
"url": "https://2gis.kz/company/12345",
"status": "ok",
"title": "Example Company LLP — 2GIS",
"entities": ["Example Company LLP"],
"social_networks": ["https://instagram.com/company"],
"contacts": ["+77270000000"],
"matched_contacts": ["+77270000000"]
}
],
"total": 1,
"pagination_total": 1,
"pagination_offset": 0
}Error Handling
Error response (403)
{
"status": 403,
"message": "access denied"
}Payment required (402)
{
"status": 402,
"message": "payment required"
}Quota exhausted (429)
{
"status": 429,
"message": "quota exhausted"
}